Subject: Re: [PATCH v2 0/1] arm/arm64: add support for folded p4d page tables

From: Marc Zyngier <[email-masked]>
Date: Wed, 22 Jan 2020 18:56:38 +0000

On 2020-01-22 18:50, Will Deacon wrote:
> On Mon, Jan 13, 2020 at 01:13:22PM +0200, Mike Rapoport wrote:
>> From: Mike Rapoport <[email-masked]>
>> 
>> This is a part of clean up of the page table manipulation code that 
>> aims to
>> remove asm-generic/5level-fixup.h and asm-generic/pgtable-nop4d-hack.h
>> 
>> There is a single patch for both arm and arm64 because doing the 
>> conversion
>> separately would mean breaking the shared mmu bits in virt/kvm/arm.
> 
> Unfortunately, that's going to be really hard to merge, as the two
> architectures are maintained in different trees and the breadth of this
> patch series is likely to lead to conflicts in both.

But maybe this is the reason we've all been waiting for, for which we
sacrifice 32bit KVM host on the altar of progress, and finally move 
along.

Will and I are the only known users, and that'd be a good incentive to
experience some if this 64bit goodness... ;-)

         M.
-- 
Jazz is not dead. It just smells funny...

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel